summaryrefslogtreecommitdiffstats
path: root/tests/omfile-whitespace-filename.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 16:28:20 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 16:28:20 +0000
commitdcc721a95bef6f0d8e6d8775b8efe33e5aecd562 (patch)
tree66a2774cd0ee294d019efd71d2544c70f42b2842 /tests/omfile-whitespace-filename.sh
parentInitial commit. (diff)
downloadrsyslog-dcc721a95bef6f0d8e6d8775b8efe33e5aecd562.tar.xz
rsyslog-dcc721a95bef6f0d8e6d8775b8efe33e5aecd562.zip
Adding upstream version 8.2402.0.upstream/8.2402.0
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rwxr-xr-xtests/omfile-whitespace-filename.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/omfile-whitespace-filename.sh b/tests/omfile-whitespace-filename.sh
new file mode 100755
index 0000000..7396382
--- /dev/null
+++ b/tests/omfile-whitespace-filename.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+# addd 2018-04-03 by RGerhards, released under ASL 2.0
+. ${srcdir:=.}/diag.sh init
+generate_conf
+add_conf '
+action(type="omfile" file=" ")
+action(type="omfile" file=`echo $RSYSLOG_OUT_LOG`)
+'
+startup
+shutdown_when_empty
+wait_shutdown
+
+grep "only of whitespace" $RSYSLOG_OUT_LOG > /dev/null
+if [ $? -ne 0 ]; then
+ echo
+ echo "FAIL: expected error message not found. $RSYSLOG_OUT_LOG is:"
+ cat $RSYSLOG_OUT_LOG
+ error_exit 1
+fi
+
+exit_test